Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

IAM bearer token issued by the Nebius IAM service. Sent as Authorization: Bearer <iam-token>. Must be combined with the Project header (see IAMProjectHeader).

This is the recommended authentication scheme for new clients.

Project
string
header
required

Nebius project ID associated with the IAM token. Required together with IAMBearerAuth. Identifies the project context the request is scoped to.

Query Parameters

limit
integer
default:100

Maximum number of operations to return. Must be between 1 and 1000. Default is 100. Invalid values raise 400 error.

Required range: 1 <= x <= 1000
offset
integer
default:0

Number of operations to skip before starting to collect the result set. Default is 0. Invalid values raise 400 error.

Required range: x >= 0
status
enum<string>

Filter operations by their state

Available options:
PENDING,
EXECUTING,
SUCCESS,
FAILED,
CANCELLED,
ASSIGNED
kind
enum<string>

Filter operations by their kind

Available options:
image_import,
instance
since
string

Show only results created after the given date/time or interval.

Accepts a Unix timestamp or interval string.

Interval format: 600s/15m/2h/3d/1w means 600 seconds, 15 minutes, 2 hours, 3 day, or 1 week ago respectively).

For example:

  • 2025-01-01T12:00:00+00:00 means January 1st, 2025 at 12:00 UTC
  • 600s means 600 seconds ago
  • 15m means 15 minutes ago

Invalid values raise 400 error.

until
string

Show only results created before the given date/time or interval.

Accepts a Unix timestamp or interval string.

Interval format: 600s/15m/2h/3d/1w means 600 seconds, 15 minutes, 2 hours, 3 day, or 1 week ago respectively).

For example:

  • 2025-01-01T12:00:00+00:00 means January 1st, 2025 at 12:00 UTC
  • 600s means 600 seconds ago
  • 15m means 15 minutes ago

Invalid values raise 400 error.

Response

OK

uuid
string<uuid>

A UUID string

Example:

"12345678-9abc-baba-deda-0123456789ab"

kind
enum<string>

Type of the operation

Available options:
image_import,
instance
status
enum<string>

Current state of the instance operation

Available options:
PENDING,
ASSIGNED,
EXECUTING,
SUCCESS,
FAILED,
CANCELLED
Example:

"success"

error
string | null

Error message if the operation failed

Example:

"Container image not found"

created_at
string

ISO 8601 formatted timestamp when the operation was created

Example:

"2024-01-01T12:00:00+00:00"

duration
number | null

Operation duration in seconds

image_size
integer | null

Bytes written for the resulting image/layer(s). null when not measured (e.g. disposable instance, non-SUCCESS operations).

consumed_cpu
number | null

CPU seconds (user_cpu_time + system_cpu_time) reported by the in-VM init. null when not measured.

consumed_memory
integer | null

Peak memory (max_rss) reported by the in-VM init; units preserved as reported by getrusage. null when not measured.

image_uuid
string<uuid> | null

UUID of the source image this operation was run on. Set for INSTANCE operations, null for IMAGE_IMPORT.

Example:

"12345678-9abc-baba-deda-0123456789ab"

result_image_uuid
string<uuid> | null

UUID of the image produced by this operation. Only set for completed (SUCCESS) operations, null otherwise.

Example:

"12345678-9abc-baba-deda-0123456789ab"